/*
   Copyright (C) 2006-2011 by Stefan Taferner <taferner@kde.org>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#ifndef cddbchooser_h
#define cddbchooser_h

#include <kdialog.h>

class QListView;
class QListViewItem;
class QModelIndex;
class QStringList;


/** Let the user choose an entry from a list.
 */
class CddbChooser: public KDialog
{
   Q_OBJECT;
   typedef KDialog Inherited;

public:
   CddbChooser(const QStringList& values, const QString& caption,
               const QString& description, QWidget* parent=0);

   /** Returns the selected item. */
   QString currentItem() const;

protected slots:
   virtual void listItemActivated(const QModelIndex& item);

protected:
   QListView *mLstValues;
};


#endif /*cddbchooser_h*/
