/*
   Copyright (C) 2006-2011 by Stefan Taferner <taferner@kde.org>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* prefcddb.h
 */
#ifndef koverartist_prefcddb_h
#define koverartist_prefcddb_h

#include <qframe.h>

class QCheckBox;
class QLineEdit;
class QButtonGroup;
class KEditListBox;
class KURLRequester;

namespace KoverArtist { class Settings; }



/** Preferences tab for audio-cd and cddb settings
 */
class KoverArtistPrefCddb : public QFrame
{
   Q_OBJECT
public:
   KoverArtistPrefCddb(QWidget *parent = 0);
   virtual ~KoverArtistPrefCddb();

   virtual void fromConfig(const KoverArtist::Settings* stg);
   virtual void toConfig(KoverArtist::Settings* stg) const;
   virtual bool isValid() const;

protected:
   QLineEdit *mEdtCdDrive, *mEdtCddbServer, *mEdtCddbPort;
   QCheckBox *mCbxAutoSetTitle;
   QButtonGroup *mBgrCddbAccess;
   KEditListBox *mElbCddbDirs;

protected slots:
   void selectMirror();
};

#endif /*koverartist_prefcddb_h*/
